# wc-show-season-hub
A tabbed component displaying latest shows, highlighted shows and shows sorted by a to z

# Macro settings

## show_season_hub

| Key              | Optional | Default | Description                         |
|------------------|----------|---------|-------------------------------------|
| unique_id        | false    |         | A unique id for the component. This allows you to have multiple hubs on a page |
| hub_show         | false    |         | The show to display on the large viewer |
| latest_shows     | true     | None    | The latest shows to display         |
| highlighed_shows | true     | None    | The featured shows                  |
| a_to_z_shows     | true     | None    | All the shows listed alphabetically |

## show_season_hub_radio

| Key              | Optional | Default | Description                         |
|------------------|----------|---------|-------------------------------------|
| unique_id        | false    |         | A unique id for the component. This allows you to have multiple hubs on a page |
| latest_shows     | true     | None    | The latest shows to display         |
| highlighed_shows | true     | None    | The featured shows                  |
| a_to_z_shows     | true     | None    | All the shows listed alphabetically |

## show_season_hub_nav

| Key              | Optional | Default | Description                         |
|------------------|----------|---------|-------------------------------------|
| unique_id        | false    |         | A unique id for the component. This allows you to have multiple hubs on a page |
| latest_shows     | true     | None    | The latest shows to display         |
| highlighed_shows | true     | None    | The featured shows                  |
| a_to_z_shows     | true     | None    | All the shows listed alphabetically |

## show_season_hub_small_viewer

| Key              | Optional | Default | Description                         |
|------------------|----------|---------|-------------------------------------|
| unique_id        | false    |         | A unique id for the component. This allows you to have multiple hubs on a page |
| latest_shows     | true     | None    | The latest shows to display         |
| highlighed_shows | true     | None    | The featured shows                  |
| a_to_z_shows     | true     | None    | All the shows listed alphabetically |

## show_season_hub_large_viewer

| Key              | Optional | Default | Description                         |
|------------------|----------|---------|-------------------------------------|
| unique_id        | false    |         | A unique id for the component. This allows you to have multiple hubs on a page |
| hub_show         | false    |         | The show to display on the large viewer |
| latest_shows     | true     | None    | The latest shows to display         |
| highlighed_shows | true     | None    | The featured shows                  |
| a_to_z_shows     | true     | None    | All the shows listed alphabetically |

## show_season_hub_card

| Key              | Optional | Default | Description                         |
|------------------|----------|---------|-------------------------------------|
| show             | false    |         | The show to display as a card       |
| brand            | true     | 'default' | The brand displaying the card     |
| cls              | true     | ''      | Additional classes for the card     |

# Themes

- Vogue

# Prerequisites:

- [Node.js](https://nodejs.org/) — `brew install node`
- [Grunt](http://gruntjs.com/) - `npm install -g grunt-cli`
- Other prereqs? Python? Virtualenv?

# Demo:

Install dependencies:

```bash
npm install
```

Build the things:

```bash
npm run sass
npm run js
npm run docs
```

Hint your JS

```bash
npm run jshint
```

Python the pythons:

```bash
npm run demo-install
```

Start the demo server:

```bash
python demo.py
```
